leTest {PMCMRplus} | R Documentation

## Testing against Ordered Alternatives (Le's Test)

### Description

Performs Le's test for testing against ordered alternatives.

### Usage

    leTest(x, ...)

    ## Default S3 method:
    leTest(x, g, alternative = c("two.sided", "greater", "less"), ...)

    ## S3 method for class 'formula'
    leTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("two.sided", "greater", "less"),
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `"two.sided"`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

The null hypothesis, H_0: θ_1 = θ_2 = … = θ_k is tested against a simple order hypothesis, H_\mathrm{A}: θ_1 ≤ θ_2 ≤ … ≤ θ_k,~θ_1 < θ_k.

The p-values are estimated from the standard normal distribution.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### References

Le, C. T. (1988) A new rank test against ordered alternatives in k-sample problems, Biometrical Journal 30, 87–92.

### See Also

`kruskalTest` and `shirleyWilliamsTest` of the package PMCMRplus, `kruskal.test` of the library stats.

### Examples

    ## Example from Sachs (1997, p. 402)
    x <- c(106, 114, 116, 127, 145,
           110, 125, 143, 148, 151,
           136, 139, 149, 160, 174)
    g <- gl(3,5)
    levels(g) <- c("A", "B", "C")

    ## Chacko's test
    chackoTest(x, g)

    ## Cuzick's test
    cuzickTest(x, g)

    ## Johnson-Mehrotra test
    johnsonTest(x, g)

    ## Jonckheere-Terpstra test
    jonckheereTest(x, g)

    ## Le's test
    leTest(x, g)

    ## Spearman type test
    spearmanTest(x, g)

    ## Murakami's BWS trend test
    bwsTrendTest(x, g)

    ## Fligner-Wolfe test
    flignerWolfeTest(x, g)

[Package PMCMRplus version 1.6.1 Index]